﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class CS : System.Web.UI.Page
{
    protected void LeftClick(object sender, EventArgs e)
    {
        //List will hold items to be removed.
        List<ListItem> removedItems = new List<ListItem>();

        //Loop and transfer the Items to Destination ListBox.
        foreach (ListItem item in lstRight.Items)
        {
            if (item.Selected)
            {
                item.Selected = false;
                lstLeft.Items.Add(item);
                removedItems.Add(item);
            }
        }

        //Loop and remove the Items from the Source ListBox. 
        foreach (ListItem item in removedItems)
        {
            lstRight.Items.Remove(item);
        }
    }

    protected void RightClick(object sender, EventArgs e)
    {
        //List will hold items to be removed.
        List<ListItem> removedItems = new List<ListItem>();

        //Loop and transfer the Items to Destination ListBox.
        foreach (ListItem item in lstLeft.Items)
        {
            if (item.Selected)
            {
                item.Selected = false;
                lstRight.Items.Add(item);
                removedItems.Add(item);
            }
        }

        //Loop and remove the Items from the Source ListBox. 
        foreach (ListItem item in removedItems)
        {
            lstLeft.Items.Remove(item);
        }
    }
}