﻿
Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub LeftClick(ByVal sender As Object, ByVal e As EventArgs)
        'List will hold items to be removed.
        Dim removedItems As List(Of ListItem) = New List(Of ListItem)

        'Loop and transfer the Items to Destination ListBox.
        For Each item As ListItem In lstRight.Items
            If item.Selected Then
                item.Selected = False
                lstLeft.Items.Add(item)
                removedItems.Add(item)
            End If
        Next

        'Loop and remove the Items from the Source ListBox. 
        For Each item As ListItem In removedItems
            lstRight.Items.Remove(item)
        Next
    End Sub

    Protected Sub RightClick(ByVal sender As Object, ByVal e As EventArgs)
        'List will hold items to be removed.
        Dim removedItems As List(Of ListItem) = New List(Of ListItem)

        'Loop and transfer the Items to Destination ListBox.
        For Each item As ListItem In lstLeft.Items
            If item.Selected Then
                item.Selected = False
                lstRight.Items.Add(item)
                removedItems.Add(item)
            End If
        Next

        'Loop and remove the Items from the Source ListBox. 
        For Each item As ListItem In removedItems
            lstLeft.Items.Remove(item)
        Next
    End Sub
End Class
